﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="NUTRICHIKENFV02DataSet" targetNamespace="http://tempuri.org/NUTRICHIKENFV02DataSet.xsd" xmlns:mstns="http://tempuri.org/NUTRICHIKENFV02DataSet.xsd" xmlns="http://tempuri.org/NUTRICHIKENFV02DataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="NUTRICHIKENFV02ConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="NUTRICHIKENFV02ConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.BRAVOSPORT.My.MySettings.GlobalReference.Default.NUTRICHIKENFV02ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="mostrar_comprobantesTableAdapter" GeneratorDataComponentClassName="mostrar_comprobantesTableAdapter" Name="mostrar_comprobantes" UserDataComponentName="mostrar_comprobantesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="NUTRICHIKENFV02ConnectionString (MySettings)" DbObjectName="NUTRICHIKENFV02.dbo.mostrar_comprobantes" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.mostrar_comprobantes</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@tipo_comprobante" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="date" DbType="Date" Direction="Input" ParameterName="@fechai" Precision="10" ProviderType="Date" Scale="0" Size="3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="date" DbType="Date" Direction="Input" ParameterName="@fechafi" Precision="10" ProviderType="Date" Scale="0" Size="3" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idventa" DataSetColumn="idventa" />
              <Mapping SourceColumn="fecha_venta" DataSetColumn="fecha_venta" />
              <Mapping SourceColumn="tipo_comprobante" DataSetColumn="tipo_comprobante" />
              <Mapping SourceColumn="serie_comprobante" DataSetColumn="serie_comprobante" />
              <Mapping SourceColumn="numero_comprobante" DataSetColumn="numero_comprobante" />
              <Mapping SourceColumn="dni" DataSetColumn="dni" />
              <Mapping SourceColumn="nombre" DataSetColumn="nombre" />
              <Mapping SourceColumn="BASEIMP" DataSetColumn="BASEIMP" />
              <Mapping SourceColumn="IGV" DataSetColumn="IGV" />
              <Mapping SourceColumn="TOTAL" DataSetColumn="TOTAL" />
              <Mapping SourceColumn="login" DataSetColumn="login" />
              <Mapping SourceColumn="motivo_anulacion_envio" DataSetColumn="motivo_anulacion_envio" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="NUTRICHIKENFV02DataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="NUTRICHIKENFV02DataSet" msprop:Generator_UserDSName="NUTRICHIKENFV02DataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="mostrar_comprobantes" msprop:Generator_TableClassName="mostrar_comprobantesDataTable" msprop:Generator_TableVarName="tablemostrar_comprobantes" msprop:Generator_TablePropName="mostrar_comprobantes" msprop:Generator_RowDeletingName="mostrar_comprobantesRowDeleting" msprop:Generator_RowChangingName="mostrar_comprobantesRowChanging" msprop:Generator_RowEvHandlerName="mostrar_comprobantesRowChangeEventHandler" msprop:Generator_RowDeletedName="mostrar_comprobantesRowDeleted" msprop:Generator_UserTableName="mostrar_comprobantes" msprop:Generator_RowChangedName="mostrar_comprobantesRowChanged" msprop:Generator_RowEvArgName="mostrar_comprobantesRowChangeEvent" msprop:Generator_RowClassName="mostrar_comprobantesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idventa" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_ColumnVarNameInTable="columnidventa" msprop:Generator_ColumnPropNameInRow="idventa" msprop:Generator_ColumnPropNameInTable="idventaColumn" msprop:Generator_UserColumnName="idventa" type="xs:int" />
              <xs:element name="fecha_venta" msprop:Generator_ColumnVarNameInTable="columnfecha_venta" msprop:Generator_ColumnPropNameInRow="fecha_venta" msprop:Generator_ColumnPropNameInTable="fecha_ventaColumn" msprop:Generator_UserColumnName="fecha_venta" type="xs:dateTime" minOccurs="0" />
              <xs:element name="tipo_comprobante" msprop:Generator_ColumnVarNameInTable="columntipo_comprobante" msprop:Generator_ColumnPropNameInRow="tipo_comprobante" msprop:Generator_ColumnPropNameInTable="tipo_comprobanteColumn" msprop:Generator_UserColumnName="tipo_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="serie_comprobante" msprop:Generator_ColumnVarNameInTable="columnserie_comprobante" msprop:Generator_ColumnPropNameInRow="serie_comprobante" msprop:Generator_ColumnPropNameInTable="serie_comprobanteColumn" msprop:Generator_UserColumnName="serie_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="numero_comprobante" msprop:Generator_ColumnVarNameInTable="columnnumero_comprobante" msprop:Generator_ColumnPropNameInRow="numero_comprobante" msprop:Generator_ColumnPropNameInTable="numero_comprobanteColumn" msprop:Generator_UserColumnName="numero_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="dni" msprop:Generator_ColumnVarNameInTable="columndni" msprop:Generator_ColumnPropNameInRow="dni" msprop:Generator_ColumnPropNameInTable="dniColumn" msprop:Generator_UserColumnName="dni" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="nombre" msprop:Generator_ColumnVarNameInTable="columnnombre" msprop:Generator_ColumnPropNameInRow="nombre" msprop:Generator_ColumnPropNameInTable="nombreColumn" msprop:Generator_UserColumnName="nombre" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BASEIMP" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBASEIMP" msprop:Generator_ColumnPropNameInRow="BASEIMP" msprop:Generator_ColumnPropNameInTable="BASEIMPColumn" msprop:Generator_UserColumnName="BASEIMP" type="xs:decimal" minOccurs="0" />
              <xs:element name="IGV" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnIGV" msprop:Generator_ColumnPropNameInRow="IGV" msprop:Generator_ColumnPropNameInTable="IGVColumn" msprop:Generator_UserColumnName="IGV" type="xs:decimal" minOccurs="0" />
              <xs:element name="TOTAL" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnTOTAL" msprop:Generator_ColumnPropNameInRow="TOTAL" msprop:Generator_ColumnPropNameInTable="TOTALColumn" msprop:Generator_UserColumnName="TOTAL" type="xs:decimal" minOccurs="0" />
              <xs:element name="login" msprop:Generator_ColumnVarNameInTable="columnlogin" msprop:Generator_ColumnPropNameInRow="login" msprop:Generator_ColumnPropNameInTable="loginColumn" msprop:Generator_UserColumnName="login">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="motivo_anulacion_envio" msprop:Generator_ColumnVarNameInTable="columnmotivo_anulacion_envio" msprop:Generator_ColumnPropNameInRow="motivo_anulacion_envio" msprop:Generator_ColumnPropNameInTable="motivo_anulacion_envioColumn" msprop:Generator_UserColumnName="motivo_anulacion_envio" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:mostrar_comprobantes" />
      <xs:field xpath="mstns:idventa" />
    </xs:unique>
  </xs:element>
</xs:schema>